Bug 229141 - [New port] databases/p5-Redis-Fast
Summary: [New port] databases/p5-Redis-Fast
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on: 229085
Blocks:
  Show dependency treegraph
 
Reported: 2018-06-19 07:47 UTC by Tomohiro Hosaka
Modified: 2019-08-14 20:37 UTC (History)
3 users (show)

See Also:


Attachments
svn diff (4.85 KB, patch)
2018-06-19 07:47 UTC, Tomohiro Hosaka
no flags Details | Diff
svn diff (4.87 KB, patch)
2018-06-19 07:51 UTC, Tomohiro Hosaka
no flags Details | Diff
svn diff (4.44 KB, patch)
2018-06-20 03:25 UTC, Tomohiro Hosaka
no flags Details | Diff
poudriere testport log (21.88 KB, text/plain)
2018-06-20 04:30 UTC, Tomohiro Hosaka
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tomohiro Hosaka 2018-06-19 07:47:42 UTC
Created attachment 194389 [details]
svn diff

Redis::Fast is 4x faster than Redis.pm in pipeline mode.
refs: https://github.com/shogo82148/Redis-Fast

* portlint ok
* poudriere testport ok (11.1, amd64, svn-head)
* make test ok
Comment 1 Tomohiro Hosaka 2018-06-19 07:51:16 UTC
Created attachment 194390 [details]
svn diff

WWW added.
Comment 2 Kurt Jaeger freebsd_committer 2018-06-19 17:45:08 UTC
Testbuilds in poudriere fail early, see

http://people.freebsd.org/~pi/logs/p5-Redis-Fast.txt

Then: Upstream has 0.21, is there a special reason to prefer 0.18 ?
Comment 3 Tomohiro Hosaka 2018-06-20 03:25:43 UTC
Created attachment 194415 [details]
svn diff

There is no special reason. Updated to 0.21.

If redis binary is found, a heavy test runs. It takes about 3 minutes.
If redis binary is not found, the test ends in a moment.
Comment 4 Tomohiro Hosaka 2018-06-20 04:00:00 UTC
recheck done.
poudriere testport ok (11.1, amd64, svn-head)
Comment 5 Kurt Jaeger freebsd_committer 2018-06-20 04:12:16 UTC
Can you put your poudriere build log up somewhere so that we can compare ?
Comment 6 Tomohiro Hosaka 2018-06-20 04:30:23 UTC
Created attachment 194416 [details]
poudriere testport log

I'm sorry for bothering you.
Comment 7 Kurt Jaeger freebsd_committer 2018-06-20 06:21:35 UTC
Hmm, our setups differ:
- ccache or not
- /etc/make.conf settings or not
- probably other things as well

So, the port is not building in every case. We need to find a solution for that.

Btw, when I add USES=gmake, it builds, but fails at stage with a different error.

See

http://people.freebsd.org/~pi/logs/databases__p5-Redis-Fast-cur-1529475243.txt
Comment 8 Tomohiro Hosaka 2018-06-20 07:57:09 UTC
I think that the combination of USE_PERL5=modbuild and USES=perl5 gmake is not suitable.
gmake will be detected in work/Redis-Fast-0.21/builder/MyBuilder.pm if installed.
This is enough and no other mechanism is required.

If you change Mk/Uses/perl5.mk as follows, testport passes with USES=perl5 gmake as well.

	--- /usr/ports-svn/head/Mk/Uses/perl5.mk        2018-06-20 15:58:02.370723000 +0900
	+++ /usr/ports-svn/head/Mk/Uses/perl5.mk.mod    2018-06-20 16:36:24.046263000 +0900
	@@ -266,12 +266,10 @@
		@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${PERL5} ${PL_BUILD} ${ALL_TARGET} ${MAKE_ARGS})
	 .    endif # !target(do-build)

	-.    if !${USES:Mgmake}
	 .      if !target(do-install)
	 do-install:
		@(cd ${BUILD_WRKSRC}; ${SETENV} ${MAKE_ENV} ${PERL5} ${PL_BUILD} ${INSTALL_TARGET} ${MAKE_ARGS})
	 .      endif # !target(do-install)
	-.    endif # ! USES=gmake
	 .  endif # modbuild

	 PACKLIST_DIR?= ${PREFIX}/${SITE_ARCH_REL}/auto

> http://people.freebsd.org/~pi/logs/databases__p5-Redis-Fast-cur-1529475243.txt

I have already encountered this.
So in the attachment 194415 [details] above BUILD_DEPENDS+=gmake:devel/gmake instead of USES=gmake.
(To follow more deeply please try the following. make -d A stage 2>&1 | grep gmake | tail -1 )

I stopped using ccache and made make.conf empty and tried it, but testport passes.

Does the problem continue with attachment 194415 [details]?

Thank you for your cooperation.
Comment 9 commit-hook freebsd_committer 2018-06-20 11:19:20 UTC
A commit references this bug:

Author: pi
Date: Wed Jun 20 11:19:14 UTC 2018
New revision: 472865
URL: https://svnweb.freebsd.org/changeset/ports/472865

Log:
  New port: databases/p5-Redis-Fast

  Perl binding for Redis database.
  Redis::Fast is 4x faster than Redis.pm in pipeline mode.

  WWW: https://metacpan.org/release/Redis-Fast

  PR:		229141
  Submitted by:	Tomohiro Hosaka <bokutin@bokut.in>

Changes:
  head/databases/Makefile
  head/databases/p5-Redis-Fast/
  head/databases/p5-Redis-Fast/Makefile
  head/databases/p5-Redis-Fast/distinfo
  head/databases/p5-Redis-Fast/files/
  head/databases/p5-Redis-Fast/files/patch-deps_hiredis_Makefile
  head/databases/p5-Redis-Fast/pkg-descr
  head/databases/p5-Redis-Fast/pkg-plist
Comment 10 Kurt Jaeger freebsd_committer 2018-06-20 11:19:28 UTC
Committed, thanks!
Comment 11 Kurt Jaeger freebsd_committer 2018-06-20 11:20:32 UTC
(In reply to Tomohiro Hosaka from comment #8)
Thanks for the details explaination.

TODO: New PR with the suggested perl5.mk change, requesting an exp-run if
something breaks.
Comment 12 Tomohiro Hosaka 2018-10-15 07:23:19 UTC
Can I help you with something?
Comment 13 Tomohiro Hosaka 2018-10-15 07:26:22 UTC
The previous comment is a mistake. Please ignore.
Comment 14 Walter Schwarzenfeld freebsd_triage 2019-08-13 22:18:20 UTC
CC'd perl for changes in perl5.mk.
Comment 15 Mathieu Arnold freebsd_committer 2019-08-14 20:37:04 UTC
Please open a real PR with a real patch that can be looked at.
But looking at the thing that looks like a unusable patch, it is most probably going to be rejected.